Scriptname teasArmorState extends ActiveMagicEffect

GlobalVariable property teasDodge auto
GlobalVariable property teasLightArmor auto
GlobalVariable property teasHeavyArmor auto
Keyword property ArmorCuirass auto
Keyword property ArmorLight auto
Keyword property ArmorHeavy auto

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	actor player = Game.GetPlayer()
	float dodge
	
	if (akBaseObject as Armor && akBaseObject.HasKeyWord(ArmorCuirass))
		if akBaseObject.HasKeyWord(ArmorLight)
			teasLightArmor.SetValue(1)
			teasHeavyArmor.SetValue(0)
		elseif akBaseObject.HasKeyWord(ArmorHeavy)
			teasHeavyArmor.SetValue(1)
			teasLightArmor.SetValue(0)
		endif
	endif

	if teasLightArmor.GetValue() == 1
		dodge = player.GetAV("LastFlattered") * 0.1 + player.GetAV("LightArmor") * 0.3
	elseif teasHeavyArmor.GetValue() == 1
		dodge = player.GetAV("LastFlattered") * 0.1
	else
		dodge = player.GetAV("LastFlattered") * 0.8
	endif

	teasDodge.SetValue(dodge)
endEvent

Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)
	actor player = Game.GetPlayer()
	float dodge

	if (akBaseObject as Armor && akBaseObject.HasKeyWord(ArmorCuirass))
		if akBaseObject.HasKeyWord(ArmorLight)
			teasLightArmor.SetValue(0)
		elseif akBaseObject.HasKeyWord(ArmorHeavy)
			teasHeavyArmor.SetValue(0)
		endif
	endif

	if teasLightArmor.GetValue() == 1
		dodge = player.GetAV("LastFlattered") * 0.1 + player.GetAV("LightArmor") * 0.3
	elseif teasHeavyArmor.GetValue() == 1
		dodge = player.GetAV("LastFlattered") * 0.1
	else
		dodge = player.GetAV("LastFlattered") * 0.8
	endif

	teasDodge.SetValue(dodge)
endEvent