Scriptname teasEffectUpdateAttributes extends activemagiceffect  

GlobalVariable property teasSpellCrit auto
GlobalVariable property SpecialLootChance auto
Perk property TreasureHunter auto

Event OnEffectStart(actor akTarget, actor akCaster)
	actor player = Game.GetPlayer()
	teasUpdateAttributes.UpdateAttributes()	
	teasSpellCrit.SetValue(player.GetAV("LastBribedIntimidated") * 0.25)
	if player.HasPerk(TreasureHunter)
		SpecialLootChance.SetValue(90 - player.GetAV("Infamy") * 0.2)
	else
		SpecialLootChance.SetValue(95 - player.GetAV("Infamy") * 0.2)
	endif
endEvent

Event OnEffectFinish(actor akTarget, actor akCaster)
	actor player = Game.GetPlayer()
	teasUpdateAttributes.UpdateAttributes()	
	teasSpellCrit.SetValue(player.GetAV("LastBribedIntimidated") * 0.25)
	if player.HasPerk(TreasureHunter)
		SpecialLootChance.SetValue(90 - player.GetAV("Infamy") * 0.2)
	else
		SpecialLootChance.SetValue(95 - player.GetAV("Infamy") * 0.2)
	endif
endEvent