Scriptname teasSetAttributes extends activemagiceffect 

GlobalVariable property teasStartingAttributes auto
GlobalVariable property teasSpellCrit auto
GlobalVariable property SpecialLootChance auto
race property ArgonianRace auto
race property BretonRace auto
race property DarkElfRace auto
race property HighElfRace auto
race property ImperialRace auto
race property KhajiitRace auto
race property NordRace auto
race property OrcRace auto
race property RedguardRace auto
race property WoodElfRace auto
Perk Property TreasureHunter auto

Event OnEffectStart(actor akTarget, actor akCaster)
		actor player = Game.GetPlayer()
		race playerrace = player.GetRace()
		if playerrace == HighElfRace
			Altmer()
		elseif playerrace == ArgonianRace
			Argonian()
		elseif playerrace == BretonRace
			Breton()
		elseif playerrace == WoodElfRace
			Bosmer()
		elseif playerrace == DarkElfRace
			Dunmer()
		elseif playerrace == ImperialRace
			Imperial()
		elseif playerrace == KhajiitRace
			Khajiit()
		elseif playerrace == NordRace
			Nord()
		elseif playerrace == OrcRace
			Orsimer()
		elseif playerrace == RedguardRace
			Redguard()
		else
			DefaultAttributes()
		endif
	teasUpdateAttributes.UpdateAttributes()	
	teasStartingAttributes.SetValue(1)
	teasSpellCrit.SetValue(player.GetAV("LastBribedIntimidated") * 0.25)
	if player.HasPerk(TreasureHunter)
		SpecialLootChance.SetValue(90 - player.GetAV("Infamy") * 0.2)
	else
		SpecialLootChance.SetValue(95 - player.GetAV("Infamy") * 0.2)
	endif
endEvent

Function Altmer()
actor player = Game.GetPlayer()
if player.GetActorBase().GetSex() == 0
	player.SetAV("LastBribedIntimidated", 20)
	player.SetAV("FavorsPerDay", 20)
	player.SetAV("FavorsPerDayTimer", 30)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 10)
	player.SetAV("FavorActive", 10)
	player.SetAV("IgnoreCrippledLimbs", 20)
else
	player.SetAV("LastBribedIntimidated", 20)
	player.SetAV("FavorsPerDay", 10)
	player.SetAV("FavorsPerDayTimer", 30)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 10)
	player.SetAV("IgnoreCrippledLimbs", 20)
endif
endFunction

Function Argonian()
actor player = Game.GetPlayer()
if player.GetActorBase().GetSex() == 0
	player.SetAV("LastBribedIntimidated", 30)
	player.SetAV("FavorsPerDay", 10)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 10)
	player.SetAV("LastFlattered", 30)
	player.SetAV("FavorActive", 20)
	player.SetAV("IgnoreCrippledLimbs", 10)
else
	player.SetAV("LastBribedIntimidated", 20)
	player.SetAV("FavorsPerDay", 10)
	player.SetAV("FavorsPerDayTimer", 30)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 10)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 20)
	player.SetAV("IgnoreCrippledLimbs", 20)
endif
endFunction

Function Breton()
actor player = Game.GetPlayer()
if player.GetActorBase().GetSex() == 0
	player.SetAV("LastBribedIntimidated", 10)
	player.SetAV("FavorsPerDay", 10)
	player.SetAV("FavorsPerDayTimer", 30)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 10)
	player.SetAV("FavorActive", 20)
	player.SetAV("IgnoreCrippledLimbs", 30)
else
	player.SetAV("LastBribedIntimidated", 10)
	player.SetAV("FavorsPerDay", 10)
	player.SetAV("FavorsPerDayTimer", 30)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 10)
	player.SetAV("IgnoreCrippledLimbs", 30)
endif
endFunction

Function Bosmer()
actor player = Game.GetPlayer()
if player.GetActorBase().GetSex() == 0
	player.SetAV("LastBribedIntimidated", 30)
	player.SetAV("FavorsPerDay", 10)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 30)
	player.SetAV("FavorActive", 10)
	player.SetAV("IgnoreCrippledLimbs", 10)
else
	player.SetAV("LastBribedIntimidated", 30)
	player.SetAV("FavorsPerDay", 10)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 30)
	player.SetAV("FavorActive", 10)
	player.SetAV("IgnoreCrippledLimbs", 10)
endif
endFunction

Function Dunmer()
actor player = Game.GetPlayer()
if player.GetActorBase().GetSex() == 0
	player.SetAV("LastBribedIntimidated", 20)
	player.SetAV("FavorsPerDay", 20)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 10)
	player.SetAV("LastFlattered", 30)
	player.SetAV("FavorActive", 20)
	player.SetAV("IgnoreCrippledLimbs", 10)
else
	player.SetAV("LastBribedIntimidated", 20)
	player.SetAV("FavorsPerDay", 10)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 30)
	player.SetAV("FavorActive", 20)
	player.SetAV("IgnoreCrippledLimbs", 10)
endif
endFunction

Function Imperial()
actor player = Game.GetPlayer()
if player.GetActorBase().GetSex() == 0
	player.SetAV("LastBribedIntimidated", 10)
	player.SetAV("FavorsPerDay", 20)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 30)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 20)
	player.SetAV("IgnoreCrippledLimbs", 10)
else
	player.SetAV("LastBribedIntimidated", 10)
	player.SetAV("FavorsPerDay", 20)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 30)
	player.SetAV("LastFlattered", 10)
	player.SetAV("FavorActive", 20)
	player.SetAV("IgnoreCrippledLimbs", 20)
endif
endFunction

Function Khajiit()
actor player = Game.GetPlayer()
if player.GetActorBase().GetSex() == 0
	player.SetAV("LastBribedIntimidated", 30)
	player.SetAV("FavorsPerDay", 10)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 20)
	player.SetAV("IgnoreCrippledLimbs", 10)
else
	player.SetAV("LastBribedIntimidated", 30)
	player.SetAV("FavorsPerDay", 20)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 10)
	player.SetAV("IgnoreCrippledLimbs", 10)
endif
endFunction

Function Nord()
actor player = Game.GetPlayer()
if player.GetActorBase().GetSex() == 0
	player.SetAV("LastBribedIntimidated", 10)
	player.SetAV("FavorsPerDay", 30)
	player.SetAV("FavorsPerDayTimer", 10)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 10)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 30)
	player.SetAV("IgnoreCrippledLimbs", 20)
else
	player.SetAV("LastBribedIntimidated", 10)
	player.SetAV("FavorsPerDay", 20)
	player.SetAV("FavorsPerDayTimer", 10)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 10)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 30)
	player.SetAV("IgnoreCrippledLimbs", 30)
endif
endFunction

Function Orsimer()
actor player = Game.GetPlayer()
if player.GetActorBase().GetSex() == 0
	player.SetAV("LastBribedIntimidated", 15)
	player.SetAV("FavorsPerDay", 30)
	player.SetAV("FavorsPerDayTimer", 10)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 10)
	player.SetAV("LastFlattered", 10)
	player.SetAV("FavorActive", 25)
	player.SetAV("IgnoreCrippledLimbs", 30)
else
	player.SetAV("LastBribedIntimidated", 15)
	player.SetAV("FavorsPerDay", 30)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 5)
	player.SetAV("LastFlattered", 10)
	player.SetAV("FavorActive", 25)
	player.SetAV("IgnoreCrippledLimbs", 25)
endif
endFunction

Function Redguard()
actor player = Game.GetPlayer()
if player.GetActorBase().GetSex() == 0
	player.SetAV("LastBribedIntimidated", 20)
	player.SetAV("FavorsPerDay", 30)
	player.SetAV("FavorsPerDayTimer", 10)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 10)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 30)
	player.SetAV("IgnoreCrippledLimbs", 10)
else
	player.SetAV("LastBribedIntimidated", 20)
	player.SetAV("FavorsPerDay", 30)
	player.SetAV("FavorsPerDayTimer", 10)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 20)
	player.SetAV("IgnoreCrippledLimbs", 10)
endif
endFunction

Function DefaultAttributes()
actor player = Game.GetPlayer()
	player.SetAV("LastBribedIntimidated", 20)
	player.SetAV("FavorsPerDay", 20)
	player.SetAV("FavorsPerDayTimer", 20)
	player.SetAV("Infamy", 20)
	player.SetAV("Fame", 20)
	player.SetAV("LastFlattered", 20)
	player.SetAV("FavorActive", 20)
	player.SetAV("IgnoreCrippledLimbs", 20)
endFunction