Scriptname teasUpdateGameStart extends activemagiceffect  

GlobalVariable property teasSpellCrit auto
GlobalVariable property SpecialLootChance auto
GlobalVariable property teasLastLevel auto
Perk property TreasureHunter auto

Event OnEffectStart(actor akTarget, actor akCaster)
	actor player = Game.GetPlayer()
	teasUpdateAttributes.UpdateAttributes()	
	teasSpellCrit.SetValue(player.GetAV("LastBribedIntimidated") * 0.25)
	if (player.GetAV("FavorActive") + player.GetAV("FavorsPerDay") + player.GetAV("FavorsPerDayTimer") + player.GetAV("IgnoreCrippledLimbs") + player.GetAV("LastBribedIntimidated") + player.GetAV("LastFlattered") + player.GetAV("Fame") + player.GetAV("Infamy")) > 150
		teasLastLevel.SetValue(player.GetLevel())
	endif
	if player.HasPerk(TreasureHunter)
		SpecialLootChance.SetValue(90 - player.GetAV("Infamy") * 0.2)
	else
		SpecialLootChance.SetValue(95 - player.GetAV("Infamy") * 0.2)
	endif
	self.Dispel()
endEvent