Scriptname RCSFistsOfSteel extends activemagiceffect  

float basedef
;float upgrade
float skill
float bonus
Armor gauntlet
Keyword property ArmorGauntlets auto
Keyword property ArmorLight auto
Keyword property ArmorHeavy auto
Keyword property ArmorMaterialDragonscale auto
Keyword property ArmorMaterialGlass auto
Keyword property ArmorMaterialScaled auto
Keyword property ArmorMaterialElven auto
Keyword property ArmorMaterialLeather auto
Keyword property ArmorMaterialImperialLight auto
Keyword property ArmorMaterialDaedric auto
Keyword property ArmorMaterialDragonplate auto
Keyword property ArmorMaterialEbony auto
Keyword property ArmorMaterialOrcish auto
Keyword property ArmorMaterialSteelPlate auto
Keyword property ArmorMaterialDwarven auto
Keyword property ArmorMaterialSteel auto
Keyword property ArmorMaterialImperialHeavy auto
Keyword property ArmorMaterialIron auto
GlobalVariable property RCSGauntletDamage auto

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	if (akBaseObject as Armor && akBaseObject.HasKeyword(ArmorGauntlets))
		if akBaseObject.HasKeyword(ArmorLight)
			if akBaseObject.HasKeyword(ArmorMaterialDragonscale)
				basedef = 12
			elseif akBaseObject.HasKeyword(ArmorMaterialGlass)
				basedef = 11
			elseif akBaseObject.HasKeyword(ArmorMaterialScaled)
				basedef = 9
			elseif akBaseObject.HasKeyword(ArmorMaterialElven)
				basedef = 8
			elseif akBaseObject.HasKeyword(ArmorMaterialLeather)
				basedef = 7
			elseif akBaseObject.HasKeyword(ArmorMaterialImperialLight)
				basedef = 6
			else
				basedef = 5
			endif
			skill = Game.GetPlayer().GetAV("LightArmor") as float
			skill = 1 + (skill * 0.004)
			bonus = basedef * skill
			Game.GetPlayer().ModAV("UnarmedDamage", bonus)
			RCSGauntletDamage.SetValue(bonus)
		elseif akBaseObject.HasKeyword(ArmorHeavy)
			if akBaseObject.HasKeyword(ArmorMaterialDaedric)
				basedef = 18
			elseif akBaseObject.HasKeyword(ArmorMaterialDragonplate)
				basedef = 17
			elseif akBaseObject.HasKeyword(ArmorMaterialEbony)
				basedef = 16
			elseif akBaseObject.HasKeyword(ArmorMaterialOrcish)
				basedef = 15
			elseif akBaseObject.HasKeyword(ArmorMaterialSteelPlate)
				basedef = 14
			elseif akBaseObject.HasKeyword(ArmorMaterialDwarven)
				basedef = 13
			elseif akBaseObject.HasKeyword(ArmorMaterialSteel)
				basedef = 12
			elseif akBaseObject.HasKeyword(ArmorMaterialImperialHeavy)
				basedef = 10
			elseif akBaseObject.HasKeyword(ArmorMaterialIron)
				basedef = 10
			else
				basedef = 10
			endif
			skill = Game.GetPlayer().GetAV("HeavyArmor") as float
			skill = 1 + (skill * 0.004)
			bonus = basedef * skill
			Game.GetPlayer().ModAV("UnarmedDamage", bonus)
			RCSGauntletDamage.SetValue(bonus)
		endif
	endif
endEvent

Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)
	if (akBaseObject as Armor && akBaseObject.HasKeyword(ArmorGauntlets))
		Game.GetPlayer().ModAV("UnarmedDamage", -RCSGauntletDamage.GetValue())
		RCSGauntletDamage.SetValue(0)
	endif
endEvent
