Scriptname teasUpdateAttributes extends Quest 

Function UpdateAttributes() global
	actor player = Game.GetPlayer()
	int str = player.GetAV("FavorActive") as int
	int end = player.GetAV("FavorsPerDay") as int
	int itl = player.GetAV("FavorsPerDayTimer") as int
	int wip = player.GetAV("IgnoreCrippledLimbs") as int
	int agi = player.GetAV("LastBribedIntimidated") as int
	int spd = player.GetAV("LastFlattered") as int
	int per = player.GetAV("Fame") as int
	int luk = player.GetAV("Infamy") as int
	; Combined bonuses
	player.SetAV("Stamina", str + end + wip + agi + luk * 0.5)
	; Strength bonuses
	player.SetAV("CarryWeight", 200 + str * 5 + luk * 0.2)
	; Endurance bonuses
	player.SetAV("Health", end * 5 + luk * 0.5)
	player.SetAV("HealthRate", end * 4 + luk * 0.4)
	player.SetAV("StaminaRate", end * 0.25 + luk * 0.025)
	; Intelligence bonuses
	player.SetAV("Magicka", itl * 5 + luk * 0.5)
	; Willpower bonuses
	player.SetAv("MagickaRate", wip * 0.25 + luk * 0.025)
	player.SetAv("MagicResist", wip * 0.5 + luk * 0.02)
	; Speed
	player.SetAV("SpeedMult", 80 + spd + luk * 0.1)
	player.SetAV("WeaponSpeedMult" , 0.8 + spd * 0.005 + luk * 0.001)
	player.SetAV("LeftWeaponSpeedMult" , 0.8 + spd * 0.005 + luk * 0.001)
EndFunction